org.apache.hadoop.hdfs.server.datanode

## Enum FileIoProvider.OPERATION

- java.lang.Object
- - java.lang.Enum<FileIoProvider.OPERATION>
  - - org.apache.hadoop.hdfs.server.datanode.FileIoProvider.OPERATION

- All Implemented Interfaces:
    Serializable, Comparable<FileIoProvider.OPERATION>
  Enclosing class:
    org.apache.hadoop.hdfs.server.datanode.FileIoProvider

      public static enum FileIoProvider.OPERATION
      extends Enum<FileIoProvider.OPERATION>

  Lists the types of file system operations. Passed to the IO hooks so implementations can choose behavior based on specific operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE`
    `EXISTS`
    `FADVISE`
    `FLUSH`
    `LIST`
    `MKDIRS`
    `MOVE`
    `NATIVE_COPY`
    `OPEN`
    `READ`
    `SYNC`
    `TRANSFER`
    `WRITE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileIoProvider.OPERATION` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FileIoProvider.OPERATION[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPEN

          public static final FileIoProvider.OPERATION OPEN

    - #### EXISTS

          public static final FileIoProvider.OPERATION EXISTS

    - #### LIST

          public static final FileIoProvider.OPERATION LIST

    - #### DELETE

          public static final FileIoProvider.OPERATION DELETE

    - #### MOVE

          public static final FileIoProvider.OPERATION MOVE

    - #### MKDIRS

          public static final FileIoProvider.OPERATION MKDIRS

    - #### TRANSFER

          public static final FileIoProvider.OPERATION TRANSFER

    - #### SYNC

          public static final FileIoProvider.OPERATION SYNC

    - #### FADVISE

          public static final FileIoProvider.OPERATION FADVISE

    - #### READ

          public static final FileIoProvider.OPERATION READ

    - #### WRITE

          public static final FileIoProvider.OPERATION WRITE

    - #### FLUSH

          public static final FileIoProvider.OPERATION FLUSH

    - #### NATIVE_COPY

          public static final FileIoProvider.OPERATION NATIVE_COPY

  - ### Method Detail

    - #### values

          public static FileIoProvider.OPERATION[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileIoProvider.OPERATION c : FileIoProvider.OPERATION.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileIoProvider.OPERATION valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.